# vim: set ts=4 sw=4 et:

# Copyright (c) 2006-2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%if %{?_without_audacious:1}0
%define with_audacious 1
%else
%define with_audacious 1
%endif

Name:           mp3splt-gtk
Version:        0.9.2
Release:        1.6
Summary:        Split MP3 and Ogg Files without decoding
Source:         http://prdownloads.sourceforge.net/mp3splt/mp3splt-gtk-%{version}.tar.gz
Source1:        %{name}.desktop
URL:            http://mp3splt.sourceforge.net/mp3splt_page/home.php
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  libmp3splt-devel >= 0.8.2
BuildRequires:  gtk3-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  libpng-devel
%if %with_audacious
BuildRequires:  audacious-devel
BuildRequires:  libaudclient-devel
# remove once the Requires is fixed in audacious-devel:
BuildRequires:  libmcs-devel >= 0.7
%endif
BuildRequires:  autoconf automake gettext-tools libtool update-desktop-files

%description
%{name} is a GTK utility to split mp3 and ogg files selecting a begin and an
end time position, without decoding. It is very useful to split large mp3/ogg
to make smaller files or to split entire albums to obtain original tracks.

%prep
%setup -q

#Fix unknown type name 'GtkActionGroup'
%if 0%{?suse_version} > 1140
sed -i 's/-DGTK_DISABLE_DEPRECATED//g' {configure,configure.ac} 
%endif

%build
export SUSE_ASNEEDED=0
./autogen.sh

%configure \
    --disable-rpath \
    --disable-scrollkeeper \
    --disable-gnome \
    --disable-doxygen_doc \
    --enable-gtk3 \
%if %with_audacious
    --enable-audacious
%else
    --disable-audacious
%endif

%__make %{?_smp_flags}

%install
%makeinstall
%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing
%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/mp3splt-gtk
%{_mandir}/man1/mp3splt-gtk.1.gz
%{_datadir}/pixmaps/mp3splt-gtk.png
%{_datadir}/pixmaps/mp3splt-gtk_ico.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mp3splt-gtk

%changelog
* Wed Jul 15 2015 edogawa@aon.at
- update to 0.9.2
* Wed Oct 22 2014 avvissu@yandex.ru
- Fix build errors:
  * add BuildRequires: libaudclient-devel
  * remove build with -DGTK_DISABLE_DEPRECATED
* Mon Apr  1 2013 pascal.bleser@opensuse.org
- update to 0.8.2
* Sat Feb 27 2010 pascal.bleser@opensuse.org
- update to 0.5.9
* Mon Jun  8 2009 pascal.bleser@opensuse.org
- rebuild against libaudclient.so.2
* Mon Jan 19 2009 guru@unixtech.be
- update to 0.5.4
* Sat Dec 29 2007 guru@unixtech.be
- moved to Packman
- added patch to fix int pointer castings on 64bit
* Mon Mar 27 2006 guru@unixtech.be
- new package
